.player-1-color .filled,
.player-1-color.filled {
  background-color: rgba(255, 30, 30, 0.779);
  border: 3px solid rgba(108, 0, 0, 0.886);
}

.player-2-color .filled,
.player-2-color.filled {
  background-color: rgba(0, 219, 0, 0.767);
  border: 3px solid rgba(3, 83, 3, 0.728);
}

.player-3-color .filled,
.player-3-color.filled {
  background-color: rgba(0, 0, 255, 0.568);
  border: 3px solid rgba(9, 9, 75, 0.63);
}

.player-4-color .filled,
.player-4-color.filled {
  background-color: #f7eb0ad9;
  border: 3px solid rgba(111, 105, 13, 0.86);
}

.game-pieces {
  padding-right: 1rem;
  display: flex;
  flex-wrap: wrap;
  overflow-y: scroll;
}

.game-pieces::-webkit-scrollbar-track {
  background-color: #3e3e3e;
}

.game-pieces::-webkit-scrollbar {
  width: 11px;
  background-color: #3e3e3e;
}

.game-pieces::-webkit-scrollbar-thumb {
  background-color: #000000;
  border: 2px solid #555555;
}

.game-piece {
  padding: 0.5rem;
  cursor: pointer;
}
.game-piece .row {
  display: flex;
}
.game-piece .row div {
  box-sizing: border-box;
  width: 29px;
  height: 29px;
}
.game-piece:hover {
  padding-top: 0.6rem;
  padding-bottom: 0.4rem;
}

.game-container {
  display: flex;
  flex-direction: row;
  border: 2px solid #f5f5f5;
  border-radius: 3px;
  justify-content: flex-start;
  align-items: flex-start;
  min-width: 900px;
  max-width: 1000px;
  height: 675px;
  background-color: #3e3e3e;
}

.right-pane {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.right-pane .inner {
  display: flex;
  flex-direction: column;
  height: calc(100% - 2rem);
  padding: 1rem 0rem 1rem 1rem;
}

.left-pane {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.left-pane .inner {
  padding: 0 1rem 1rem;
}

.hide-cursor {
  cursor: none;
}

.active-piece {
  pointer-events: none;
  z-index: 100;
}

.action-buttons-container {
  padding: 1rem 0rem;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.action-buttons-container button:nth-child(1) {
  margin: 0rem 1rem;
}

.game-info {
  padding-bottom: 1rem;
  display: flex;
  flex-wrap: wrap;
}
.game-info > div:nth-child(1) {
  flex-basis: 100%;
}
.game-info .player-stat {
  flex-basis: 50%;
}

.game-board {
  position: relative;
  padding: 8px;
  margin: 0 auto;
  background-color: #b2b2b2;
  box-shadow: 0px 0px 8px 2px rgba(0, 0, 0, 0.81);
  border-radius: 3px;
}

.game-underlay {
  position: absolute;
  top: 8px;
}

.board-row {
  display: flex;
  flex-direction: row;
}

.board-cell {
  box-sizing: border-box;
  width: 29px;
  height: 29px;
  border: 1px solid;
  border-color: #8c8c8c;
}

.new-game {
  display: flex;
  padding: 1rem;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
}

.register-players {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
  height: 100%;
}
.register-players h2 {
  padding: 0px 16px 0 16px;
}
.register-players .player-info {
  padding: 0px 16px 16px 16px;
  font-size: 18px;
}
.register-players .player-info h3 {
  text-decoration: underline;
}
.register-players .player-info label {
  margin-right: 8px;
}
.register-players .player-info:last-child {
  margin-bottom: 32px;
}
.register-players .action-buttons {
  width: 57%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.register-players .action-buttons button {
  margin-left: 8px;
}

.help-container {
  position: absolute;
  min-height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
}

.help-content {
  margin: 5rem;
  background-color: #232422;
  border: 2px solid #f5f5f5;
  border-radius: 3px;
  padding: 1.5rem;
}

.online-games-lobby.left-pane .inner {
  height: 100%;
}
.online-games-lobby.left-pane .online-game-list {
  flex-grow: 1;
}
.online-games-lobby.right-pane .inner {
  display: flex;
  flex-direction: column;
  padding: 72px 0rem 1rem 1rem;
}
.online-games-lobby.right-pane button {
  margin-top: 8px;
}

.online-game-list {
  margin: 0 auto 0 auto;
  padding: 8px;
  border-radius: 3px;
  border: 2px solid #f5f5f5;
  height: 400px;
  background-color: #8c8c8c;
  min-width: 600px;
  max-width: 700px;
  overflow-y: scroll;
}
.online-game-list table {
  width: 70%;
}
.online-game-list table thead {
  text-align: left;
}
.online-game-list table thead th {
  margin: 0 8px;
  padding: 0 8px;
  border: 0px;
}
.online-game-list table thead th > * {
  margin-bottom: 0px;
}
.online-game-list table td {
  color: white;
  padding: 2px 8px;
  cursor: pointer;
}
.online-game-list table tr.selected {
  background-color: #637251;
}

.online-games-lobby:not(.joined) tbody tr:active {
  background-color: #595959;
}
.online-games-lobby:not(.joined) tbody tr.selected {
  background-color: #737373;
}

body {
  background-color: #232422;
  color: #f5f5f5;
  font-family: "Exo", sans-serif;
  width: calc(100vw - 16px);
  margin: 8px;
  overflow-x: hidden;
}

h1 {
  font-family: "Krona One", sans-serif;
  font-size: 1.5rem;
}

.h3 {
  font-size: 1.2rem;
}

a {
  font-family: "Exo", sans-serif;
  color: #f5f5f5;
}
a:visited {
  color: #f5f5f5;
}

input {
  background-color: #637251;
  color: #f5f5f5;
  font-family: "courier";
  font-size: 1.2rem;
  border: 2px solid #f5f5f5;
  border-radius: 3px;
  padding: 6px;
  outline: none;
  margin-right: 16px;
}

.btn-primary {
  font-family: "Exo", sans-serif;
  border: 2px solid #f5f5f5;
  border-radius: 3px;
  font-size: 1.5rem;
  cursor: pointer;
  outline: none;
  color: #f5f5f5;
  background-color: #05a200;
}
.btn-primary:active {
  position: relative;
  top: 2px;
}
.btn-primary:disabled {
  background-color: #252525;
  cursor: unset;
}

.btn-secondary {
  font-family: "Exo", sans-serif;
  border: 2px solid #f5f5f5;
  border-radius: 3px;
  font-size: 1.5rem;
  cursor: pointer;
  outline: none;
  color: #f5f5f5;
  background-color: #88009a;
}
.btn-secondary:active {
  position: relative;
  top: 2px;
}
.btn-secondary:disabled {
  background-color: #252525;
  cursor: unset;
}

.flex-row {
  display: flex;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.space-around {
  justify-content: space-around;
}

.space-between {
  justify-content: space-between;
}

.justify-center {
  justify-content: center;
}

.align-center {
  align-items: center;
}

.error-message-container {
  user-select: none;
  min-width: 900px;
  max-width: 1000px;
  padding: 8px;
  color: red;
  font-size: 30px;
  margin-left: 1rem;
}

.mobile-warning-banner {
  background-color: #9b2f3a;
  border: 2px solid #611e24;
  border-radius: 5px;
  padding: 0.3rem 1rem;
}
@media screen and (any-pointer: fine) {
  .mobile-warning-banner {
    display: none;
  }
}

.app-container {
  margin: 0 auto 0 auto;
  min-width: 900px;
  max-width: 1000px;
}

.rejoin-prompt {
  margin-top: 16px;
}